r40736 - in /trunk/libmodule-cpants-analyse-perl/debian: repack.local repack.sh repack.stub watch

ryan52-guest at users.alioth.debian.org ryan52-guest at users.alioth.debian.org
Sat Jul 25 17:22:07 UTC 2009


Author: ryan52-guest
Date: Sat Jul 25 17:22:00 2009
New Revision: 40736

URL: http://svn.debian.org/wsvn/pkg-perl/?sc=1&rev=40736
Log:
switch to the new repack script

Added:
    trunk/libmodule-cpants-analyse-perl/debian/repack.local
    trunk/libmodule-cpants-analyse-perl/debian/repack.stub   (with props)
Removed:
    trunk/libmodule-cpants-analyse-perl/debian/repack.sh
Modified:
    trunk/libmodule-cpants-analyse-perl/debian/watch

Added: trunk/libmodule-cpants-analyse-perl/debian/repack.local
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libmodule-cpants-analyse-perl/debian/repack.local?rev=40736&op=file
==============================================================================
--- trunk/libmodule-cpants-analyse-perl/debian/repack.local (added)
+++ trunk/libmodule-cpants-analyse-perl/debian/repack.local Sat Jul 25 17:22:00 2009
@@ -1,0 +1,2 @@
+MANIFEST=1
+rm t/eg/

Added: trunk/libmodule-cpants-analyse-perl/debian/repack.stub
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libmodule-cpants-analyse-perl/debian/repack.stub?rev=40736&op=file
==============================================================================
--- trunk/libmodule-cpants-analyse-perl/debian/repack.stub (added)
+++ trunk/libmodule-cpants-analyse-perl/debian/repack.stub Sat Jul 25 17:22:00 2009
@@ -1,0 +1,38 @@
+#!/bin/sh
+
+# put this in debian/repack.stub and add "debian sh debian/repack.stub" to
+# the end of the line in debian/watch
+
+# then create a debian/repack.local. this is a shell script that is
+# sources under "set -e", so be careful to check returns codes.
+
+# special functions:
+# rm is replaced by a function that does some magic ("rm -rv" by
+#    default), but also changes MANIFEST if $MANIFEST is 1
+# mv is replaced by a function that just does mv (by default), but
+#    also changes MANIFEST if $MANIFEST is 1
+# requires_version is there for future usage for requiring certain
+#    versions of the script
+
+# special variables:
+# SUFFIX (defaults to +dfsg)
+# RM_OPTS (defaults to -vrf)
+# MANIFEST (defaults to 0, set to 1 to turn on. this will manipulate
+#           MANIFEST files in CPAN tarballs.)
+
+if [ -z "$REPACK_SH" ]; then
+    if [ -f ../../scripts/repack.sh ]; then
+        REPACK_SH=../../scripts/repack.sh
+    fi
+    if [ -z "$REPACK_SH" ] && which repack.sh > /dev/null; then
+        REPACK_SH=$(which repack.sh)
+    fi
+fi
+
+if [ ! -f "$REPACK_SH" ]; then
+    echo "Couldn't find a repack.sh. please put it in your PATH, put it at ../../scripts/repack.sh, or put it somewhere else and set the REPACK_SH variable"
+    echo "You can get it from http://svn.debian.org/viewsvn/pkg-perl/scripts/repack.sh"
+    exit 1
+fi
+
+exec "$REPACK_SH" "$@"

Propchange: trunk/libmodule-cpants-analyse-perl/debian/repack.stub
------------------------------------------------------------------------------
    svn:executable = *

Modified: trunk/libmodule-cpants-analyse-perl/debian/watch
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libmodule-cpants-analyse-perl/debian/watch?rev=40736&op=diff
==============================================================================
--- trunk/libmodule-cpants-analyse-perl/debian/watch (original)
+++ trunk/libmodule-cpants-analyse-perl/debian/watch Sat Jul 25 17:22:00 2009
@@ -1,2 +1,2 @@
 version=3
-opts="dversionmangle=s/\+dfsg//" http://search.cpan.org/dist/Module-CPANTS-Analyse/   .*/Module-CPANTS-Analyse-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$ debian sh debian/repack.sh
+opts="dversionmangle=s/\+dfsg//" http://search.cpan.org/dist/Module-CPANTS-Analyse/   .*/Module-CPANTS-Analyse-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$ debian sh debian/repack.stub




More information about the Pkg-perl-cvs-commits mailing list